cURL
curl "https://api.phrase.com/v2/accounts/:account_id/spaces/:id" \
-u USERNAME_OR_ACCESS_TOKEN \
-X PATCH \
-d '{"name":"My Android Projects"}' \
-H 'Content-Type: application/json'phrase spaces update \
--account_id <account_id> \
--id <id> \
--data '{"name": "My Android Projects"}' \
--access_token <token>import requests
url = "https://api.phrase.com/v2/accounts/{account_id}/spaces/{id}"
payload = { "name": "My Android Projects" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'My Android Projects'})
};
fetch('https://api.phrase.com/v2/accounts/{account_id}/spaces/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "2e7574e8f2372906a03110c2a7cfe671",
"name": "My first space",
"created_at": "2020-02-25T12:17:25Z",
"updated_at": "2020-03-13T14:46:57Z",
"projects_count": 2,
"projects": [
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "My Android Project",
"main_format": "xml",
"project_image_url": "http://assets.example.com/project.png",
"account": "account",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z"
},
{
"id": "abcd11231fadef1234adacd1234cdef1234",
"name": "My IOS Project",
"main_format": "yml",
"project_image_url": "http://assets.example.com/project2.png",
"account": "account",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z"
}
]
}Spaces
Update Space
Update the specified Space.
PATCH
/
accounts
/
{account_id}
/
spaces
/
{id}
cURL
curl "https://api.phrase.com/v2/accounts/:account_id/spaces/:id" \
-u USERNAME_OR_ACCESS_TOKEN \
-X PATCH \
-d '{"name":"My Android Projects"}' \
-H 'Content-Type: application/json'phrase spaces update \
--account_id <account_id> \
--id <id> \
--data '{"name": "My Android Projects"}' \
--access_token <token>import requests
url = "https://api.phrase.com/v2/accounts/{account_id}/spaces/{id}"
payload = { "name": "My Android Projects" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'My Android Projects'})
};
fetch('https://api.phrase.com/v2/accounts/{account_id}/spaces/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "2e7574e8f2372906a03110c2a7cfe671",
"name": "My first space",
"created_at": "2020-02-25T12:17:25Z",
"updated_at": "2020-03-13T14:46:57Z",
"projects_count": 2,
"projects": [
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "My Android Project",
"main_format": "xml",
"project_image_url": "http://assets.example.com/project.png",
"account": "account",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z"
},
{
"id": "abcd11231fadef1234adacd1234cdef1234",
"name": "My IOS Project",
"main_format": "yml",
"project_image_url": "http://assets.example.com/project2.png",
"account": "account",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z"
}
]
}Authorizations
TokenBasic
Enter your token in the format token TOKEN
Headers
Two-Factor-Authentication token (optional)
Body
application/json
New name of the space
Example:
"My Android Projects"
Was this page helpful?
⌘I